From 218f42cdc0efefb7dadccedac203cfba892ed98a Mon Sep 17 00:00:00 2001
From: Jon Jenkins <jjenkins@gitlab.com>
Date: Thu, 21 Dec 2023 16:39:42 -0600
Subject: [PATCH] Override Encryptor to return stub

---
 config/initializers/attr_encrypted_stub.rb | 7 +++++++
 1 file changed, 7 insertions(+)
 create mode 100644 config/initializers/attr_encrypted_stub.rb

diff --git a/config/initializers/attr_encrypted_stub.rb b/config/initializers/attr_encrypted_stub.rb
new file mode 100644
index 000000000000..e89ca5d55ffd
--- /dev/null
+++ b/config/initializers/attr_encrypted_stub.rb
@@ -0,0 +1,7 @@
+# frozen_string_literal: true
+
+module Encryptor
+  def crypt(_, *args)
+    +"overridden cryptogram"
+  end
+end
-- 
2.34.1

